Subject: Re: [Pce] I-D Action: draft-ietf-pce-pce-initiated-lsp-03.txt

From: Ina Minei <[email-masked]>
Date: Thu, 2 Apr 2015 16:14:58 -0700

Dhruv,

Thank you for catching this, yes, we do need to state explicitly the
behavior during synchronization, as you pointed out. Will respin shortly.

Ina

On Tue, Mar 17, 2015 at 5:05 AM, Dhruv Dhody <[email-masked]> wrote:

> Hi,
>
> Thanks for the update and taking care of the comments posted during WG LC
> [1].
>
> But some issues are still open, let me repeat them -
>
> (1) The text should be in line with RFC7399 [2]; where 'instantiate LSP'
> is marked out of scope. The consensus was to use 'suggest' or 'recommend'
> with ''instantiate LSP'. See [3]. I would like this to align between
> documents, but if no one else is bothered with it, then I will shut up.
>
> (2) Some text on LSPDB Synchronization is needed, perhaps in section 3.2,
> see sample text -
>
>    LSP State Synchronization procedure is described in section 5.4 of
>    [I-D.ietf-pce-stateful-pce]. During State Synchronization, a PCC
>    SHOULD also send LSP State Report for PCE-Initiated LSP with Create
>    flag and SYNC flag in the LSP Object set to 1. PCC SHOULD also
>    include the optional SPEAKER-IDENTITY-ID TLV defined in [I-D.ietf-
>    pce-stateful-sync-optimizations] identifying the PCE that requested
>    the LSP creation. At the end of state synchronization, PCE SHOULD
>    also do a sanity check between the reported PCE-Initiated LSPs and
>    local configurations at PCE to initiate LSPs. For any mismatch, PCE
>    SHOULD send PCInitiate message to either initiate (again) or remove
>    those LSPs.
>
> Thanks again!
>
> Regards,
> Dhruv
>
> [1] http://www.ietf.org/mail-archive/web/pce/current/msg04092.html
> [2] http://tools.ietf.org/html/rfc7399#section-20
> [3] http://www.ietf.org/mail-archive/web/pce/current/msg03721.html
>
>
>
>
> > -----Original Message-----
> > From: Pce [mailto:[email-masked]] On Behalf Of
> [email-masked]
> > Sent: 06 March 2015 07:01
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: [Pce] I-D Action: draft-ietf-pce-pce-initiated-lsp-03.txt
> >
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts
> > directories.
> >  This draft is a work item of the Path Computation Element Working Group
> of
> > the IETF.
> >
> >         Title           : PCEP Extensions for PCE-initiated LSP Setup in
> a
> > Stateful PCE Model
> >         Authors         : Edward Crabbe
> >                           Ina Minei
> >                           Siva Sivabalan
> >                           Robert Varga
> >       Filename        : draft-ietf-pce-pce-initiated-lsp-03.txt
> >       Pages           : 16
> >       Date            : 2015-03-05
> >
> > Abstract:
> >    The Path Computation Element Communication Protocol (PCEP) provides
> >    mechanisms for Path Computation Elements (PCEs) to perform path
> >    computations in response to Path Computation Clients (PCCs) requests.
> >
> >    The extensions for stateful PCE provide stateful control of
> >    Multiprotocol Label Switching (MPLS) Traffic Engineering Label
> >    Switched Paths (TE LSP) via PCEP, for a model where the PCC delegates
> >    control over one or more locally configured LSPs to the PCE.  This
> >    document describes the creation and deletion of PCE-initiated LSPs
> >    under the stateful PCE model.
> >
> >
> >
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-pce-pce-initiated-lsp/
> >
> > There's also a htmlized version available at:
> > http://tools.ietf.org/html/draft-ietf-pce-pce-initiated-lsp-03
> >
> > A diff from the previous version is available at:
> > http://www.ietf.org/rfcdiff?url2=draft-ietf-pce-pce-initiated-lsp-03
> >
> >
> > Please note that it may take a couple of minutes from the time of
> submission
> > until the htmlized version and diff are available at tools.ietf.org.
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> >
> > _______________________________________________
> > Pce mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/pce
>
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce
>

---

From: Girish Birajdar <[email-masked]>
Date: Sat, 4 Apr 2015 12:15:14 -0700

Hi,

Few comments and questions:

# 5.3.  LSP instantiation
Does PCE use specific range of LSP-Ids? In case PCC sends PCReqs there is
scope for conflict.

# 5.4.  LSP deletion
"A PLSP-ID of zero removes all LSP"
If PCRpt for all LSP deletions are not received, PCE will have to resend
PCInit to delete the LSP. Please mention use of timeout-interval for
PCRpts.

Regards,
Girish

On Thu, Apr 2, 2015 at 4:14 PM, Ina Minei <[email-masked]> wrote:

>> >  This draft is a work item of the Path Computation Element Working
>> Group of
>> > the IETF.
>> >
>> >         Title           : PCEP Extensions for PCE-initiated LSP Setup
>> in a
>> > Stateful PCE Model
>> >         Authors         : Edward Crabbe
>> >                           Ina Minei
>> >                           Siva Sivabalan
>> >                           Robert Varga

---

From: Ina Minei <[email-masked]>
Date: Fri, 17 Apr 2015 17:11:45 -0700

Girish,

Please see inline

> Does PCE use specific range of LSP-Ids? In case PCC sends PCReqs there is

Do you mean LSP-id or PLSP-id? If LSP-id, then i don't understand the
question, can you clarify? If PLSP-id, these are always PCC owned, and
meaningful in the context of a PCC. So if two PCCs send PCReq for the same
PLSP-id, the PCE should be able to distinguish between them by PCC.

> I don't see this as any different than not receiving a PCRpt on a single
LSP deletion. How to react to failure to receive a report is a PCE
implementation issue, and it isn't unique to the "delete all" case or even
to the "delete" case, but any operation performed on the LSP.

Thank you,
Ina

>>> Thanks for the update and taking care of the comments posted during WG
>>> LC [1].
>>>
>>> (2) Some text on LSPDB Synchronization is needed, perhaps in section
>>> 3.2, see sample text -
>>>

---

From: Ina Minei <[email-masked]>
Date: Mon, 20 Apr 2015 13:28:38 -0700

Dhruv, I have updated this in
http://www.ietf.org/internet-drafts/draft-ietf-pce-pce-initiated-lsp-04.txt
.

Ina